
TYPO3.Neos - Bug # 54308

Bug # 54392 (Closed): Installation issues

Status: Closed Priority: Must have
Author: Wolfgang Klinger Category:
Created: 2013-12-10 Assigned To:
Updated: 2014-10-02 Due date:
Subject: Warning No such file or directory TYPO3_Flow_Error_Exception.php / no setup possible
Description

after first install of Neos 1.0
all files writable for webserver user

Darwin azrael 13.0.0 Darwin Kernel Version 13.0.0: Thu Sep 19 22:22:27 PDT 2013; root:xnu-2422.1.72~6/RELEASE_X86_64
x86_64
Apache/2.2.25 (Unix) mod_ssl/2.2.25 OpenSSL/1.0.1e DAV/2 PHP/5.3.27
Warning:
include_once(/private/var/www/neos/TYPO3-Neos-1.0.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Erro
low_Error_Exception.php) [<a href='function.include-once'>function.include-once</a>]: failed to open stream: No such file or directory
in
/private/var/www/neos/TYPO3-Neos-1.0.0/Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Cache/Backend/SimpleFileBackend.php on line 277
nd.php on line 277
Call Stack
    1.    Time    Memory    Function    Location

1    0.0002    643568    {main}( )    ../index.php:0
2    0.0043    2066448    TYPO3\Flow\Core\Bootstrap->run( )    ../index.php:27
3    0.1081    3314888    TYPO3\Setup\Core\RequestHandler->handleRequest( )    ../Bootstrap.php:113
4    0.2284    4722912    TYPO3\Flow\Http\RequestHandler->boot( )    ../RequestHandler.php:63
5    0.2292    4784376    TYPO3\Flow\Core\Booting\Sequence->invoke( )    ../RequestHandler.php:160
6    0.2292    4784376    TYPO3\Flow\Core\Booting\Sequence->invokeStep( )    ../Sequence.php:85
7    0.2294    4821256    TYPO3\Flow\Core\Booting\Sequence->invokeStep( )    ../Sequence.php:105
8    0.4490    5661200    TYPO3\Flow\Core\Booting\Sequence->invokeStep( )    ../Sequence.php:105
9    0.4699    6405896    TYPO3\Flow\Core\Booting\Sequence->invokeStep( )    ../Sequence.php:105
10    0.4730    6732920    TYPO3\Flow\Core\Booting\Sequence->invokeStep( )    ../Sequence.php:105
11    0.4738    6809768    TYPO3\Flow\Core\Booting\Sequence->invokeStep( )    ../Sequence.php:105
12    0.4738    6809768    TYPO3\Flow\Core\Booting\Step->__invoke( )    ../Sequence.php:101
13    0.4738    6809816    call_user_func ( )    ../Step.php:49
14    0.4738    6809848    TYPO3\Flow\Core\Booting\Scripts::initializeObjectManager( )    ../Step.php:49
15    0.4738    6810240    TYPO3\Flow\Core\ClassLoader->loadClass( )    ../Step.php:0
16    0.4738    6810344    TYPO3\Flow\Cache\Frontend\PhpFrontend->requireOnce( )    ../ClassLoader.php:96
17    0.4738    6810344    TYPO3\Flow\Cache\Backend\SimpleFileBackend->requireOnce( )    ../PhpFrontend.php:106
18    0.4738    6812424    TYPO3\Flow\Error\ErrorHandler->handleError( )    ../PhpFrontend.php:277
19    0.4739    6813968    class_exists ( )    ../ErrorHandler.php:76
20    0.4739    6814360    TYPO3\Flow\Core\ClassLoader->loadClass( )    ../ErrorHandler.php:0
21    0.4739    6814456    TYPO3\Flow\Cache\Frontend\PhpFrontend->requireOnce( )    ../ClassLoader.php:96
22    0.4739    6814456    TYPO3\Flow\Cache\Backend\SimpleFileBackend->requireOnce( )

History
#1 - 2013-12-12 12:06 - Christian Müller

Do you have more debug information about it? Like entries from Data/Logs/System_Development.log or the php error log?
all files writable for webserver user

This might not be sufficient if you for example ran the flow command on the command line it will create cache folders with the permissions of that
user...

#2 - 2013-12-12 12:07 - Christian Müller
- Status changed from New to Needs Feedback

#3 - 2013-12-13 13:05 - Bastian Waidelich
- Parent task set to #54392

#4 - 2013-12-13 20:12 - Christopher Hlubek

I think it's a different problem, also my installation doesn't have a file 
Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Error_Exception.php so that seems correct, because it's not proxied.

The class loader seems to have an issue because the warning is not converted to an exception in the SimpleFileBackend. This can be caused by the
error handler (\TYPO3\Flow\Error\ErrorHandler) that was not registered to handle PHP errors.

#5 - 2014-01-19 18:14 - Krzysztof Daniel

Same for me on mac, with php 5.4.22. 
When I use php 5.3 this error is not appearing. Can it be specific to some new setting in php 5.4 ?

#6 - 2014-01-20 09:27 - Krzysztof Daniel

It is not me who submitted, but I can answer #1 question:
There is nothing in logs and exception file is not created. Noting really useful.

Additional info that might help:
- Same happening on pure flow - so not Neos related.
- \TYPO3\Flow\Error\ErrorHandler is registered as error handler and it is processing errors (checked with some var_dumps ;) )

#7 - 2014-10-02 11:37 - Philipp Hanebrink
- Status changed from Needs Feedback to Closed

Moved to Jira: https://jira.typo3.org/browse/NEOS-505
